org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor

## Interface IStructuralFeatureAccessor

All Superinterfaces:
  ICompareAccessor, ITypedElement

All Known Implementing Classes:
  AbstractStructuralFeatureAccessor, ContainmentReferenceChangeAccessorImpl, FeatureMapKeyChangeAccessorImpl, ManyStructuralFeatureAccessorImpl, SingleStructuralFeatureAccessorImpl

    public interface IStructuralFeatureAccessor
    extends ICompareAccessor

A specific `ICompareAccessor` for structural features.

### Field Summary

### Fields inherited from interface org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.ITypedElement

`FOLDER_TYPE, TEXT_TYPE, UNKNOWN_TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`EObject` `getEObject(IMergeViewer.MergeViewerSide side)` Returns the EObject associated with the structural feature.
`EStructuralFeature` `getStructuralFeature()` Returns the structural feature for which an accessor is needed.

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.ICompareAccessor

`getComparison, getInitialItem, getItems`

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.ITypedElement

`getImage, getName, getType`

### Method Detail

#### getStructuralFeature

    EStructuralFeature getStructuralFeature()

Returns the structural feature for which an accessor is needed.

Returns:
  the structural feature for which an accessor is needed.

#### getEObject

    EObject getEObject(IMergeViewer.MergeViewerSide side)

Returns the EObject associated with the structural feature.

Parameters:
  `side` - the side of the content merge viewer for which we want the EObject associated with the structural feature.
Returns:
  the EObject associated with the structural feature.